Name:           open-xchange-appsuite-messenger
BuildArch:      noarch
%if 0%{?rhel_version} && 0%{?rhel_version} >= 700
BuildRequires:  ant
%else
BuildRequires:  ant-nodeps
%endif
BuildRequires:  java-devel >= 1.6.0
BuildRequires:  nodejs >= 0.10.0
Version:        1.4.1
%define         ox_release 2
Release:        %{ox_release}_<CI_CNT>.<B_CNT>
Group:          Applications/Productivity
Packager:       marcus.klein@open-xchange.com
License:        CC-BY-NC-SA-3.0
Summary:        Realtime Communication for Open-Xchange App Suite
Source:         %{name}_%{version}.orig.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
Requires(post): open-xchange-appsuite-manifest

%description
Realtime Communication for Open-Xchange App Suite

%if 0%{?rhel_version} || 0%{?fedora_version}
%define docroot /var/www/html/
%else
%define docroot /srv/www/htdocs/
%endif

%package        static
Group:          Applications/Productivity
Summary:        Realtime Communication for Open-Xchange App Suite
Requires:       open-xchange-appsuite

%description    static
Realtime Communication for Open-Xchange App Suite

This package contains the static files for the theme.

%prep

%setup -q

%build

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
ant -Dbasedir=build -DdestDir=%{buildroot} -DpackageName=%{name} -Dhtdoc=%{docroot} -DkeepCache=true -f build/build.xml build

%clean
%{__rm} -rf %{buildroot}

%define update /opt/open-xchange/appsuite/share/update-themes.sh

%post
if [ -x %{update} ]; then %{update}; fi

%postun
if [ -x %{update} ]; then %{update}; fi

%files
%defattr(-,root,root)
%dir /opt/open-xchange
/opt/open-xchange/appsuite
%config(noreplace) /opt/open-xchange/etc/settings/ox-messenger.properties
%dir /opt/open-xchange/etc/meta
/opt/open-xchange/etc/meta/ox-messenger.yml

%files static
%defattr(-,root,root)
%dir %{docroot}/appsuite
%{docroot}/appsuite

%changelog
* Fri Apr 15 2016 Marcus Klein <marcus.klein@open-xchange.com>
Second preview of 1.4.1 release
* Fri Mar 25 2016 Marcus Klein <marcus.klein@open-xchange.com>
First preview of 1.4.1 release
* Fri Mar 25 2016 Marcus Klein <marcus.klein@open-xchange.com>
prepare for 1.4.1 release
* Tue Mar 08 2016 Marcus Klein <marcus.klein@open-xchange.com>
Ninth candidate for 1.4.0 release
* Thu Feb 25 2016 Marcus Klein <marcus.klein@open-xchange.com>
Eighth candidate for 1.4.0 release
* Tue Feb 23 2016 Marcus Klein <marcus.klein@open-xchange.com>
Seventh candidate for 1.4.0 release
* Wed Jan 27 2016 Marcus Klein <marcus.klein@open-xchange.com>
Sixth candidate for 1.4.0 release
* Wed Jan 13 2016 Marcus Klein <marcus.klein@open-xchange.com>
Fifth candidate for 1.4.0 release
* Mon Dec 28 2015 Marcus Klein <marcus.klein@open-xchange.com>
Fourth candidate for 1.4.0 release
* Fri Dec 04 2015 Marcus Klein <marcus.klein@open-xchange.com>
Third candidate for 1.4.0 release
* Thu Nov 26 2015 Marcus Klein <marcus.klein@open-xchange.com>
Second candidate for 1.4.0 release
* Fri Nov 13 2015 Marcus Klein <marcus.klein@open-xchange.com>
First candidate for 1.4.0 release
* Fri Oct 30 2015 Marcus Klein <marcus.klein@open-xchange.com>
prepare for 1.4.0 release
* Thu Sep 10 2015 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2015-09-14 (2732)
* Tue Aug 18 2015 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2015-08-26
* Mon Jul 27 2015 Marcus Klein <marcus.klein@open-xchange.com>
Third candidate for 1.2.0 release
* Wed Jul 15 2015 Marcus Klein <marcus.klein@open-xchange.com>
Second candidate for 1.2.0 release
* Mon Jul 13 2015 Marcus Klein <marcus.klein@open-xchange.com>
First candidate for 1.2.0 release
* Mon Jul 13 2015 Marcus Klein <marcus.klein@open-xchange.com>
prepare for 1.2.0
* Fri Jun 19 2015 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2015-06-18 (2551)
* Tue Jun 02 2015 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2015-06-03 (2534)
* Wed Apr 08 2015 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2015-04-08 (2480)
* Tue Mar 24 2015 Marcus Klein <marcus.klein@open-xchange.com>
Build for patch 2015-03-25 (2457)
* Mon Feb 23 2015 Marcus Klein <marcus.klein@open-xchange.com>
Thriteenth candidate for 1.0.0 release
* Thu Feb 19 2015 Marcus Klein <marcus.klein@open-xchange.com>
Twelfth candidate for 1.0.0 release
* Fri Feb 13 2015 Marcus Klein <marcus.klein@open-xchange.com>
Eleventh candidate for 1.0.0 release
* Mon Feb 09 2015 Marcus Klein <marcus.klein@open-xchange.com>
Tenth candidate for 1.0.0 release
* Mon Feb 02 2015 Marcus Klein <marcus.klein@open-xchange.com>
Ninth candidate for 1.0.0 release
* Fri Jan 30 2015 Marcus Klein <marcus.klein@open-xchange.com>
eighth candidate for 1.0.0 release
* Fri Jan 16 2015 Marcus Klein <marcus.klein@open-xchange.com>
Seventh candidate for 1.0.0 release
* Thu Dec 11 2014 Marcus Klein <marcus.klein@open-xchange.com>
Sixth candidate for 1.0.0 release
* Mon Jun 23 2014 Marcus Klein <marcus.klein@open-xchange.com>
Fifth candidate for 1.0.0 release
* Fri Jun 20 2014 Marcus Klein <marcus.klein@open-xchange.com>
Fourth candidate for 1.0.0 release
* Fri Jun 13 2014 Marcus Klein <marcus.klein@open-xchange.com>
Third candidate for 1.0.0 release
* Fri May 30 2014 Marcus Klein <marcus.klein@open-xchange.com>
Second candidate for 1.0.0 release
* Fri May 16 2014 Marcus Klein <marcus.klein@open-xchange.com>
First candidate for 1.0.0 release
* Wed May 07 2014 Marcus Klein <marcus.klein@open-xchange.com>
Initial Release.
