# Change Log
All notable changes to this project will be documented in this file.
This project adheres to [Semantic Versioning](http://semver.org/).


## [Unreleased]
### Added
- Muc paging 
- Muc offline messages notification (bubble) client side persistency
- Address book autocomplete to add buddies

### Changed
- Roster render mechanism. Total render time reduced to 25-30%
- Now leaving a muc is the same as deleting

### Deprecated
- Re-join mucs

### Removed
- Mucs from privateXML

### Fixed
- Participants list when creating a muc from a 1:1
- Deleting new empty 1:1 conversations
- Corrupted muc list (used XMPP discovery instead of privateXML)
- Muc participants list
- Availability to setup calls when the session is stolen
- Internal error when clicking on muc participants from the list 
- Availability to copy by keyboard shortcuts (Ctrl+C/CMD+C)
- Roster custom groups rename and delete
- Remove user from Roster custom groups 
- Emoticons inconsistency
- Permanent ringtone on mucs when not answering and call was ended by the other participants
- Add Custom group button tooltip
- Added "Subject" when creating mucs
- Focus on the most recently updated conversation when reload
- Headset icon on mucs
- Conversations selection issues: selected on the list + no or wrong conversation displayed
- Firefox call hangup issues after starting a call
  

### Security
- Added mucs security: not public and only invited users can join and send invites

## [1.4.1-2] - 2016-04-15
### Added
- Limit number of custom groups to 10
- Feedback on failed calls for 1-1
- Feedback message at startup when tryung to use a non secure connection (http)
- Autofocus to message text input when a conversation's selected
- Blocked textInput for 2s after muc creation
- System message when re-join a conversation

### Changed
- Show as connected regardless of the connectivity to the media platform (FreeSwitch)
- Updated texts:
    - Join conversation
    - Hang up conversation
    - Connection failed due to network issues

### Removed
- System message when adding new participant

### Fixed
- No speaker or phone icon in participants list when the participant is on-line 
- Error on Firefox when typing a message
- Reconnect issues after sleep
- Empty 1:1 conversations title after reconnection (i.e. wifi loss)
- File deep link as text message
- User data (name, surname) sync between buddies after update
- Receive a group call to a non-selected conversation
- Corrupted roster groups
- Mucs' messages order
- Mucs trying to fill the available vertical area with messages
- Added room name when creating a muc
- Focus on Messenger when reloading from the E-mail App  
- Soft phone button
- Clicking on "Overall call history" from Address Book
- Messenger from Address Book not grayed out 
- DnD user status not modified when a call's received 
- Delete conversations 
- Solid white image background on File previews