# Readme
OX Messenger is a real time text, voice and video communication application that fully integrates into OX App Suite. The solution is based on latest web-standards such as WebRTC, HTML 5 and Web-sockets. This provides a single responsive user interface that automatically optimizes itself for desktops. OX Messenger works with industry standard protocols such as XMPP, SIP and RTP and enhances OX App Suite core applications with advanced real-time communication capabilities.

# Dependencies
For OX Messenger to work properly, there is a set of services that must be available:

- Open xchange app suite UI >= v7.8.1
- XMPP >= v4.6.8
- Media gateway (FreeSwitch) >= 1.4.19~n20160126T171145Z-1~uccgw~wheezy+1

## Project Structure
### register.js
First file that is loaded when messenger application is activated.
### mediator.js
File that contains business logic for messenger
### aggregator.js
Our mailbox, this receives and handles event messages inside messenger.
### main.js
File needed for functioning OX application
### util.js
Utility class, containing standalone helper functions needed in the application

