﻿/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * © 2015 Voiceworks B.V. info@voiceworks.com
 *
 */

define('com.voiceworks/ox-messenger/conversation/models/groupconversation', [
    'com.voiceworks/ox-messenger/conversation/models/conversation',
    'com.voiceworks/ox-messenger/conversation/models/message',
    'gettext!com.voiceworks/ox-messenger'
], function (ConversationModel, MessageModel, gt) {
    'use strict';

    /**
     * GroupConversation Model
     */
    var GroupConversationModel = ConversationModel.extend({

        defaults: {
            id: '',
            title: 'default chat',
            subject: '',
            timestamp: 0, // Changed to handle last archived message for conversation list
            lastMsg: new MessageModel({message: '...', timestamp: -1}),
            previousMsgJid: false,
            roomId: '',
            roomName: '',
            roomHost: '',
            myRoom: false,
            initiator: null,
            second: null
        },

        maxRoomNameLength: 32,

        validate: function () {
            if (this.get('roomName').length > this.maxRoomNameLength) {
                return gt('The name of the room should not contain more than 32 characters');
            }

            if (this.get('roomName').length === 0) {
                return gt('The name of the room can not be empty');
            }

            if (this.get('subject').length > this.maxRoomNameLength) {
                return gt('The group description should not contain more than 32 characters');
            }
            
            return false;
        }

    });

    return GroupConversationModel;
});
