/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * © 2015 Voiceworks B.V. info@voiceworks.com
 *
 */

define('com.voiceworks/ox-messenger/conversation/models/messagecollection', [
    'com.voiceworks/ox-messenger/conversation/models/message',
    'com.voiceworks/ox-messenger/util'
], function (MessageModel, Util) {
    'use strict';

    /**
     * Message Collection
     */
    var MessageCollection = Backbone.Collection.extend({
        klassName: 'MessageCollection',
        model: MessageModel,
        comparator: function(msg1, msg2) {
            var a = msg1.get('timestamp');
            var b = msg2.get('timestamp');

            return a > b ? 1
                : a < b ? -1
                : 0;
         },

         sort: function() {
            Util.sort.inplace(this.models, this.comparator);
         }
    });

    return MessageCollection;
});
