/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * ? 2015 Voiceworks B.V. info@voiceworks.com
 *
 */

define('com.voiceworks/ox-messenger/conversation/views/messagecontainer_system', [
    'io.ox/core/extensions',
    'com.voiceworks/ox-messenger/core/session',
    'com.voiceworks/ox-messenger/conversation/views/messagecontainer',
    'com.voiceworks/ox-messenger/util',
    'com.voiceworks/ox-messenger/core/vendor/virtual-dom',
    'gettext!com.voiceworks/ox-messenger'
], function (ext, Session, MessageContainerView, Util, vdom, gt) {
    'use strict';

    var h = vdom.h;

    /**
     * System Message Container View
     * this.model = conversation
     * this.options.message = message model
     */
    var SystemMessageContainerView = MessageContainerView.extend({

        template: function () {
            return h('div.messenger--media.messenger--media--system-message',
                    this.model.messages.map(this.getMessageTemplate, this));
        },
        getMessageTemplate: function (message) {
                var timestamp = message.get('timestamp') || new Date().getTime(),
                    timeFormatted = Util.formatTime(timestamp),
                    txt = message.get('message') + ' - ' + timeFormatted;

            return h('div.messenger--system-message__sender.messenger--text-wrap',
                [
                    h('i.fa.fa-group'),
                    h('span.messenger--system-message__sender__name', txt)
                ]
            );
        }
    });

    return SystemMessageContainerView;
});
