/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * © 2015 Voiceworks B.V. info@voiceworks.com
 *
 */

define('com.voiceworks/ox-messenger/core/views/partials/userpart', [],
    function () {
    'use strict';

    var UserPart = {

        updatePresenceBadges: function (jid, status) {
            $('.messenger--presence[data-jid="' + jid + '"]')
                .removeClass('is-status--unknown ' +
                'is-status--offline ' +
                'is-status--online ' +
                'is-status--away ' +
                'is-status--dnd ' +
                'is-status--invisible ' +
                'is-status--xa')
                .addClass('is-status--' + status);
        },
        updateAvatars: function (user) {
            var userElements = $(user.getDomFilter()),
                imgSmall = userElements.filter('.messenger--avatar--small'),
                imgMedium = userElements.filter('.messenger--avatar--medium'),
                imgLarge = userElements.filter('.messenger--avatar--large'),
                rand = Math.floor((Math.random() * 1000000)), // to force image refresh (not cached)
                imgUrlSmall = user.getImageUrl('small') + '&rand=' + rand,
                imgUrlMedium = user.getImageUrl('large') + '&rand=' + rand,
                imgUrlLarge = user.getImageUrl('large') + '&rand=' + rand;

            imgSmall.css({'background-image': 'url(' + imgUrlSmall + ')'});
            imgMedium.css({'background-image': 'url(' + imgUrlMedium + ')'});
            imgLarge.css({'background-image': 'url(' + imgUrlLarge + ')'});
        },
        updateNickname: function (user) {
            var userElements = $(user.getDomFilter()),
                nicknameElement = userElements.find('.messenger--buddy__username'),
                haloLinkElement = userElements.find('.halo-link'),
                inListElement = userElements.find('.js_display_name');


            nicknameElement.text(user.getDisplayName()).prepend(
                $('<span class="messenger--presence">').addClass('is-status--' + user.get('status'))
            );
            haloLinkElement.text(user.getDisplayName());
            inListElement.text(user.getDisplayName());
        }
    };

    return UserPart;
});
