/**
 /**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * © 2015 Voiceworks B.V. info@voiceworks.com
 *
 */

define('com.voiceworks/ox-messenger/file/views/partials', [
], function () {
    'use strict';

    /**
     * File View Partials
     */
    var FileViewPartials = {
        getIconClasses: function (fileDesc, dotted) {
            var fileName = fileDesc.get('filename'),
                className;

            if(/(docx|docm|dotx|dotm|odt|ott|doc|dot|rtf)$/i.test(fileName))
                className = 'fa-align-left file-type-doc';
            else if(/(csv|xlsx|xlsm|xltx|xltm|xlam|xls|xlt|xla|xlsb)$/i.test(fileName))
                className = 'fa-table file-type-xls';
            else if(/(pptx|pptm|potx|potm|ppsx|ppsm|ppam|odp|otp|ppt|pot|pps|ppa)$/i.test(fileName))
                className = 'fa-picture file-type-ppt';
            else if(/(pdf)$/i.test(fileName))
                className = 'fa-file-pdf-o';
            else if(/(txt)$/i.test(fileName))
                className = 'fa-file-text-o';
            else if((/(aac|mp3|m4a|m4b|ogg|opus|wav)$/i).test(fileName))
                className = 'fa-music';
            else if((/(mp4|ogv|webm)$/i).test(fileName))
                className = 'fa-film';
            else if ((/(epub|mobi)$/i).test(fileName))
                className = 'fa-book';
            else if ((/(cbz|cbr|cb7|cbt|cba)$/i).test(fileName))
                className = 'fa-comment-o';
            else if ((/(zip|tar|gz|rar|7z|bz2)$/i).test(fileName))
                className = 'fa-archive';
            else if ((/(art|jpg|jpeg|gif|bmp|ico|png|tiff|svg)$/i).test(fileName))
                //className = 'fa-picture-o';
                className = '';
            else
                className = 'fa-file';

            if(dotted)
                className = '.'+className.split(' ').join('.');

            return className;
        }
    };


    return FileViewPartials;
});
