/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * © 2015 Voiceworks B.V. info@voiceworks.com
 *
 */

define('com.voiceworks/ox-messenger/person-ext', [
    'com.voiceworks/ox-messenger/roster/main',
    'gettext!com.voiceworks/ox-messenger'
], function (RosterController, gt) {
    'use strict';

    require('io.ox/core/extensions').point('io.ox/core/person').extend({
        id: 'presence',
        index: 200,
        /**
         * TODO every view should be re-rendered on Aggregator's roster:created
         * @param baton
         */
        draw: function (baton) {
            var email = false;
            if (baton.halo.email1) {
                email = baton.halo.email1;
            }
            if (baton.data.email1) {
                email = baton.data.email1;
            }

            if (!email) {
                return;
            }

            var statusClass = 'is-status--',
                rosterUser = RosterController.getUserById(email),
                isCurrentUser = (email == RosterController.user.id);

            statusClass += (rosterUser.get('inRoster') || isCurrentUser) ? rosterUser.get('status') : 'unknown';

            this.prepend(
                $('<span class="messenger--presence">').addClass(statusClass).attr('data-jid', email)
            );
        }
    });
});
