/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * © 2015 Voiceworks B.V. info@voiceworks.com
 *
 */

define('com.voiceworks/ox-messenger/phone/views/history', [
    'com.voiceworks/ox-messenger/aggregator',
    'com.voiceworks/ox-messenger/core/session',
    'com.voiceworks/ox-messenger/history/main',
    'com.voiceworks/ox-messenger/history/views/small',
    'gettext!com.voiceworks/ox-messenger',
    'settings!com.voiceworks/ox-messenger'
], function (Aggregator, Session, History, SmallHistoryView, gt, Settings) {
    'use strict';

    var PhoneHistoryView = SmallHistoryView.extend({
        showFullHistory: function (e) {
            Aggregator.trigger('phone:toggle');
            History.show();
        },

        showEmptyMessage: function () {
            return $('<div class="messenger--table__cell  messenger--table__cell--cdr-small  messenger--table__cell--cdr-small--name  messenger--h5">').text(gt('No phone history'));
        },

        pstnAction: function (phoneNumber) {
            Aggregator.trigger('phone:setNumber', { phoneNumber: phoneNumber });
        },

        getHistory: function () {
            return Session.user.callHistory.getPhoneHistory(Settings.get('phoneCallHistoryLimit'));
        }

    });

    return PhoneHistoryView;
});
