/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * © 2015 Voiceworks B.V. info@voiceworks.com
 *
 */

define('com.voiceworks/ox-messenger/roster/views/grouplist', [
    'com.voiceworks/ox-messenger/roster/models/groupcollection',
    'com.voiceworks/ox-messenger/core/views/disposable',
    'com.voiceworks/ox-messenger/roster/views/group'
], function (RosterGroupCollection, DisposableView, RosterGroupView) {
    'use strict';

    /**
     * Roster Group List Extension points
     */

    /**
     * Roster Group List View
     *
     * this.collection = RosterGroupCollection
     */
    var RosterGroupListView = DisposableView.extend({

        initialize: function (options) {
            DisposableView.prototype.initialize.apply(this, arguments);

            this.user = options.user;
            this.collection = this.collection || new RosterGroupCollection();
            this.listenTo(this.collection, 'reset add remove sort', this.render);
            this.render();
        },

        render: function () {
            var that = this;

            this.$el.empty();
            this.$el.prevObject = null;

            this.collection.each(function (rosterGroup) {
                var rosterGroupView = new RosterGroupView({ user: that.user, model: rosterGroup });
                that.$el.append(rosterGroupView.render().$el);
            });

            return this;
        }
    });

    return RosterGroupListView;
});