/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * © 2015 Voiceworks B.V. info@voiceworks.com
 *
 */

define('com.voiceworks/ox-messenger/roster/views/roster', [
    'com.voiceworks/ox-messenger/roster/models/groupcollection',
    'com.voiceworks/ox-messenger/roster/views/grouplist',
    'com.voiceworks/ox-messenger/roster/views/mystatus',
    'com.voiceworks/ox-messenger/roster/views/search',
    'com.voiceworks/ox-messenger/roster/views/new_group',
    'less!com.voiceworks/ox-messenger/roster/style'
], function (RosterGroupCollection, RosterGroupListView, RosterMystatusView, RosterSearchView, RosterNewGroupView) {
    'use strict';

    /**
     * Extension points:
     */

    /**
     * Roster View
     *
     * this.collection = RosterGroupCollection
     */
    var RosterView = Backbone.View.extend({
        el: '.messenger--roster',

        initialize: function (options) {
            this.user = options.user;
            this.collection = this.collection || new RosterGroupCollection();
            this.addNewGroup = null;
            this.render();
        },

        render: function () {
            this.addNewGroup = new RosterNewGroupView({
                showToggle: true
            });

            var container = document.createDocumentFragment(),
                rosterMystatusView = new RosterMystatusView({ model: this.user }),
                rosterSearchView = new RosterSearchView(),
                rosterNewGroupContainer = $('<div class="messenger--roster__new-group">'),
                rosterGroupCollectionView = new RosterGroupListView({ user: this.user, collection: this.collection });

            container.appendChild(rosterMystatusView.$el[0]);
            container.appendChild(rosterSearchView.$el[0]);
            container.appendChild(rosterNewGroupContainer.append(this.addNewGroup.$el)[0]);
            container.appendChild(rosterGroupCollectionView.$el[0]);

            //this.$el.empty().append(container);
            this.$el.children().remove();
            this.$el.prevObject = null;

            this.$el.append(container);
            container = null;

            return this;
        }
    });

    return RosterView;
});
