/**
 * This work is provided under the terms of the CREATIVE COMMONS PUBLIC
 * LICENSE. This work is protected by copyright and/or other applicable
 * law. Any use of the work other than as authorized under this license
 * or copyright law is prohibited.
 *
 * http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * © 2015 Voiceworks B.V. info@voiceworks.com
 *
 */

define('com.voiceworks/ox-messenger/roster/views/search', [
    'io.ox/core/extensions',
    'com.voiceworks/ox-messenger/aggregator',
    'gettext!com.voiceworks/ox-messenger'
], function (ext, Aggregator, gt) {
    'use strict';

    /**
     * Roster Search View
     */
    var RosterSearchView = Backbone.View.extend({
        className: 'messenger--roster__search',

        initialize: function () {
            this.render();
        },

        events: {
            'keyup #roster-search': 'search',
            'change #roster-search': 'search'
        },

        search: function (e) {
            // For handling ESC
            if (e.which === 27) {
                Aggregator.trigger('roster:hide', {});
                $(e.currentTarget).val('');
            }

            e.preventDefault();
            Aggregator.trigger('roster:search', e);
        },

        render: function () {
            //this.$el.empty();
            //this.$el.children().detach();
            this.$el.children().remove();
            this.$el.prevObject = null;

            this.$el.append(
                $('<input class="form-control search-field">').attr({
                    tabindex: 1,
                    id: 'roster-search',
                    type: 'text',
                    'placeholder': gt('Search buddy ...')
                })
            );

            return this;
        }
    });

    return RosterSearchView;
});